# -*- mode: ruby -*-

Vagrant.configure("2") do |config|
  config.vm.define "somconnexio-mm-proxy"
  config.vm.box = "ubuntu/focal64"
  config.vm.hostname = "somconnexio-mm-proxy.local"
  config.vm.boot_timeout = 500

  config.vm.network "forwarded_port", guest: 8000, host: 8000
  config.vm.network "forwarded_port", guest: 15672, host: 15672
  config.vm.network "private_network", ip: "192.168.33.11"

  config.vm.provider "virtualbox" do |v|
    v.name = "somconnexio-mm-proxy"
    v.memory = 1024  # TODO: To review
    v.cpus = 2
  end

  config.vm.synced_folder ".", "/vagrant", disabled: true
  # By default, vagrant creates a "vagrant" user with the uid and gid 1001.
  # We assign the ownership to a user with uid and gid 1002,
  # which we create in line 27 with the name "mm-proxy"
  config.vm.synced_folder "../somconnexio-mm-proxy", "/var/www/somconnexio-mm-proxy/current",
    owner: "vagrant", group: "vagrant", mount_options: ["uid=1002", "gid=1002"]

  config.vm.provision "shell" do |s|
    ssh_pub_key = File.readlines("#{Dir.home}/.ssh/id_rsa.pub").first.strip
    s.inline = <<-SHELL
      apt-get update &>/dev/null
      id -u mm-proxy &>/dev/null || useradd mm-proxy
      echo #{ssh_pub_key} >> /root/.ssh/authorized_keys
    SHELL
  end

end
